Package org.kapott.hbci.sepa.jaxb.pain_008_001_02

# Class ObjectFactory

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_02.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_008_001_02 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

## Constructor Summary

Constructors
Constructor
Description
`ObjectFactory()`
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_001_02

## Method Summary

Modifier and Type
Method
Description
`AccountIdentificationSEPA`
`createAccountIdentificationSEPA()`
Create an instance of `AccountIdentificationSEPA`
`AccountIdentificationSEPAMandate`
`createAccountIdentificationSEPAMandate()`
Create an instance of `AccountIdentificationSEPAMandate`
`ActiveOrHistoricCurrencyAndAmountSEPA`
`createActiveOrHistoricCurrencyAndAmountSEPA()`
Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`
`AmendmentInformationDetailsSDD`
`createAmendmentInformationDetailsSDD()`
Create an instance of `AmendmentInformationDetailsSDD`
`BranchAndFinancialInstitutionIdentificationSEPA2`
`createBranchAndFinancialInstitutionIdentificationSEPA2()`
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`
`BranchAndFinancialInstitutionIdentificationSEPA3`
`createBranchAndFinancialInstitutionIdentificationSEPA3()`
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`
`CashAccountSEPA1`
`createCashAccountSEPA1()`
Create an instance of `CashAccountSEPA1`
`CashAccountSEPA2`
`createCashAccountSEPA2()`
Create an instance of `CashAccountSEPA2`
`CashAccountSEPAMandate`
`createCashAccountSEPAMandate()`
Create an instance of `CashAccountSEPAMandate`
`CategoryPurposeSEPA`
`createCategoryPurposeSEPA()`
Create an instance of `CategoryPurposeSEPA`
`CreditorReferenceInformationSEPA1`
`createCreditorReferenceInformationSEPA1()`
Create an instance of `CreditorReferenceInformationSEPA1`
`CreditorReferenceTypeCodeSEPA`
`createCreditorReferenceTypeCodeSEPA()`
Create an instance of `CreditorReferenceTypeCodeSEPA`
`CreditorReferenceTypeSEPA`
`createCreditorReferenceTypeSEPA()`
Create an instance of `CreditorReferenceTypeSEPA`
`CustomerDirectDebitInitiationV02`
`createCustomerDirectDebitInitiationV02()`
Create an instance of `CustomerDirectDebitInitiationV02`
`DateAndPlaceOfBirth`
`createDateAndPlaceOfBirth()`
Create an instance of `DateAndPlaceOfBirth`
`DirectDebitTransactionInformationSDD`
`createDirectDebitTransactionInformationSDD()`
Create an instance of `DirectDebitTransactionInformationSDD`
`DirectDebitTransactionSDD`
`createDirectDebitTransactionSDD()`
Create an instance of `DirectDebitTransactionSDD`
`Document`
`createDocument()`
Create an instance of `Document`
`JAXBElement<Document>`
`createDocument(Document value)`
Create an instance of `JAXBElement``<``Document``>`
`FinancialInstitutionIdentificationSEPA2`
`createFinancialInstitutionIdentificationSEPA2()`
Create an instance of `FinancialInstitutionIdentificationSEPA2`
`FinancialInstitutionIdentificationSEPA3`
`createFinancialInstitutionIdentificationSEPA3()`
Create an instance of `FinancialInstitutionIdentificationSEPA3`
`GenericAccountIdentificationSEPA`
`createGenericAccountIdentificationSEPA()`
Create an instance of `GenericAccountIdentificationSEPA`
`GenericOrganisationIdentification1`
`createGenericOrganisationIdentification1()`
Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1`
`createGenericPersonIdentification1()`
Create an instance of `GenericPersonIdentification1`
`GroupHeaderSDD`
`createGroupHeaderSDD()`
Create an instance of `GroupHeaderSDD`
`LocalInstrumentSEPA`
`createLocalInstrumentSEPA()`
Create an instance of `LocalInstrumentSEPA`
`MandateRelatedInformationSDD`
`createMandateRelatedInformationSDD()`
Create an instance of `MandateRelatedInformationSDD`
`OrganisationIdentificationSchemeName1Choice`
`createOrganisationIdentificationSchemeName1Choice()`
Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OrganisationIdentificationSEPAChoice`
`createOrganisationIdentificationSEPAChoice()`
Create an instance of `OrganisationIdentificationSEPAChoice`
`OthrIdentification`
`createOthrIdentification()`
Create an instance of `OthrIdentification`
`PartyIdentificationSEPA1`
`createPartyIdentificationSEPA1()`
Create an instance of `PartyIdentificationSEPA1`
`PartyIdentificationSEPA2`
`createPartyIdentificationSEPA2()`
Create an instance of `PartyIdentificationSEPA2`
`PartyIdentificationSEPA3`
`createPartyIdentificationSEPA3()`
Create an instance of `PartyIdentificationSEPA3`
`PartyIdentificationSEPA4`
`createPartyIdentificationSEPA4()`
Create an instance of `PartyIdentificationSEPA4`
`PartyIdentificationSEPA5`
`createPartyIdentificationSEPA5()`
Create an instance of `PartyIdentificationSEPA5`
`PartySEPA2`
`createPartySEPA2()`
Create an instance of `PartySEPA2`
`PartySEPAChoice`
`createPartySEPAChoice()`
Create an instance of `PartySEPAChoice`
`PaymentIdentificationSEPA`
`createPaymentIdentificationSEPA()`
Create an instance of `PaymentIdentificationSEPA`
`PaymentInstructionInformationSDD`
`createPaymentInstructionInformationSDD()`
Create an instance of `PaymentInstructionInformationSDD`
`PaymentTypeInformationSDD`
`createPaymentTypeInformationSDD()`
Create an instance of `PaymentTypeInformationSDD`
`PersonIdentificationSchemeName1Choice`
`createPersonIdentificationSchemeName1Choice()`
Create an instance of `PersonIdentificationSchemeName1Choice`
`PersonIdentificationSEPA1Choice`
`createPersonIdentificationSEPA1Choice()`
Create an instance of `PersonIdentificationSEPA1Choice`
`PersonIdentificationSEPA2`
`createPersonIdentificationSEPA2()`
Create an instance of `PersonIdentificationSEPA2`
`PostalAddressSEPA`
`createPostalAddressSEPA()`
Create an instance of `PostalAddressSEPA`
`PurposeSEPA`
`createPurposeSEPA()`
Create an instance of `PurposeSEPA`
`RemittanceInformationSEPA1Choice`
`createRemittanceInformationSEPA1Choice()`
Create an instance of `RemittanceInformationSEPA1Choice`
`RestrictedPersonIdentificationSchemeNameSEPA`
`createRestrictedPersonIdentificationSchemeNameSEPA()`
Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`
`RestrictedPersonIdentificationSEPA`
`createRestrictedPersonIdentificationSEPA()`
Create an instance of `RestrictedPersonIdentificationSEPA`
`ServiceLevel`
`createServiceLevel()`
Create an instance of `ServiceLevel`
`StructuredRemittanceInformationSEPA1`
`createStructuredRemittanceInformationSEPA1()`
Create an instance of `StructuredRemittanceInformationSEPA1`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectFactory

public ObjectFactory()
Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_001_02

## Method Details

### createDocument

public Document createDocument()
Create an instance of `Document`

### createAccountIdentificationSEPA

public AccountIdentificationSEPA createAccountIdentificationSEPA()
Create an instance of `AccountIdentificationSEPA`

### createAccountIdentificationSEPAMandate

public AccountIdentificationSEPAMandate createAccountIdentificationSEPAMandate()
Create an instance of `AccountIdentificationSEPAMandate`

### createGenericAccountIdentificationSEPA

public GenericAccountIdentificationSEPA createGenericAccountIdentificationSEPA()
Create an instance of `GenericAccountIdentificationSEPA`

### createActiveOrHistoricCurrencyAndAmountSEPA

public ActiveOrHistoricCurrencyAndAmountSEPA createActiveOrHistoricCurrencyAndAmountSEPA()
Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`

### createAmendmentInformationDetailsSDD

public AmendmentInformationDetailsSDD createAmendmentInformationDetailsSDD()
Create an instance of `AmendmentInformationDetailsSDD`

### createBranchAndFinancialInstitutionIdentificationSEPA3

public BranchAndFinancialInstitutionIdentificationSEPA3 createBranchAndFinancialInstitutionIdentificationSEPA3()
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA3`

### createBranchAndFinancialInstitutionIdentificationSEPA2

public BranchAndFinancialInstitutionIdentificationSEPA2 createBranchAndFinancialInstitutionIdentificationSEPA2()
Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`

### createCashAccountSEPA1

public CashAccountSEPA1 createCashAccountSEPA1()
Create an instance of `CashAccountSEPA1`

### createCashAccountSEPA2

public CashAccountSEPA2 createCashAccountSEPA2()
Create an instance of `CashAccountSEPA2`

### createCashAccountSEPAMandate

public CashAccountSEPAMandate createCashAccountSEPAMandate()
Create an instance of `CashAccountSEPAMandate`

### createCategoryPurposeSEPA

public CategoryPurposeSEPA createCategoryPurposeSEPA()
Create an instance of `CategoryPurposeSEPA`

### createCreditorReferenceInformationSEPA1

public CreditorReferenceInformationSEPA1 createCreditorReferenceInformationSEPA1()
Create an instance of `CreditorReferenceInformationSEPA1`

### createCreditorReferenceTypeSEPA

public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA()
Create an instance of `CreditorReferenceTypeSEPA`

### createCreditorReferenceTypeCodeSEPA

public CreditorReferenceTypeCodeSEPA createCreditorReferenceTypeCodeSEPA()
Create an instance of `CreditorReferenceTypeCodeSEPA`

### createCustomerDirectDebitInitiationV02

public CustomerDirectDebitInitiationV02 createCustomerDirectDebitInitiationV02()
Create an instance of `CustomerDirectDebitInitiationV02`

### createDateAndPlaceOfBirth

public DateAndPlaceOfBirth createDateAndPlaceOfBirth()
Create an instance of `DateAndPlaceOfBirth`

### createDirectDebitTransactionSDD

public DirectDebitTransactionSDD createDirectDebitTransactionSDD()
Create an instance of `DirectDebitTransactionSDD`

### createDirectDebitTransactionInformationSDD

public DirectDebitTransactionInformationSDD createDirectDebitTransactionInformationSDD()
Create an instance of `DirectDebitTransactionInformationSDD`

### createFinancialInstitutionIdentificationSEPA3

public FinancialInstitutionIdentificationSEPA3 createFinancialInstitutionIdentificationSEPA3()
Create an instance of `FinancialInstitutionIdentificationSEPA3`

### createOthrIdentification

public OthrIdentification createOthrIdentification()
Create an instance of `OthrIdentification`

### createFinancialInstitutionIdentificationSEPA2

public FinancialInstitutionIdentificationSEPA2 createFinancialInstitutionIdentificationSEPA2()
Create an instance of `FinancialInstitutionIdentificationSEPA2`

### createGenericOrganisationIdentification1

public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()
Create an instance of `GenericOrganisationIdentification1`

### createGenericPersonIdentification1

public GenericPersonIdentification1 createGenericPersonIdentification1()
Create an instance of `GenericPersonIdentification1`

### createRestrictedPersonIdentificationSEPA

public RestrictedPersonIdentificationSEPA createRestrictedPersonIdentificationSEPA()
Create an instance of `RestrictedPersonIdentificationSEPA`

### createGroupHeaderSDD

public GroupHeaderSDD createGroupHeaderSDD()
Create an instance of `GroupHeaderSDD`

### createLocalInstrumentSEPA

public LocalInstrumentSEPA createLocalInstrumentSEPA()
Create an instance of `LocalInstrumentSEPA`

### createMandateRelatedInformationSDD

public MandateRelatedInformationSDD createMandateRelatedInformationSDD()
Create an instance of `MandateRelatedInformationSDD`

### createOrganisationIdentificationSEPAChoice

public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice()
Create an instance of `OrganisationIdentificationSEPAChoice`

### createOrganisationIdentificationSchemeName1Choice

public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()
Create an instance of `OrganisationIdentificationSchemeName1Choice`

### createPartySEPAChoice

public PartySEPAChoice createPartySEPAChoice()
Create an instance of `PartySEPAChoice`

### createPartySEPA2

public PartySEPA2 createPartySEPA2()
Create an instance of `PartySEPA2`

### createPartyIdentificationSEPA1

public PartyIdentificationSEPA1 createPartyIdentificationSEPA1()
Create an instance of `PartyIdentificationSEPA1`

### createPartyIdentificationSEPA2

public PartyIdentificationSEPA2 createPartyIdentificationSEPA2()
Create an instance of `PartyIdentificationSEPA2`

### createPartyIdentificationSEPA3

public PartyIdentificationSEPA3 createPartyIdentificationSEPA3()
Create an instance of `PartyIdentificationSEPA3`

### createPartyIdentificationSEPA4

public PartyIdentificationSEPA4 createPartyIdentificationSEPA4()
Create an instance of `PartyIdentificationSEPA4`

### createPartyIdentificationSEPA5

public PartyIdentificationSEPA5 createPartyIdentificationSEPA5()
Create an instance of `PartyIdentificationSEPA5`

### createPaymentIdentificationSEPA

public PaymentIdentificationSEPA createPaymentIdentificationSEPA()
Create an instance of `PaymentIdentificationSEPA`

### createPaymentInstructionInformationSDD

public PaymentInstructionInformationSDD createPaymentInstructionInformationSDD()
Create an instance of `PaymentInstructionInformationSDD`

### createPaymentTypeInformationSDD

public PaymentTypeInformationSDD createPaymentTypeInformationSDD()
Create an instance of `PaymentTypeInformationSDD`

### createPersonIdentificationSEPA1Choice

public PersonIdentificationSEPA1Choice createPersonIdentificationSEPA1Choice()
Create an instance of `PersonIdentificationSEPA1Choice`

### createPersonIdentificationSEPA2

public PersonIdentificationSEPA2 createPersonIdentificationSEPA2()
Create an instance of `PersonIdentificationSEPA2`

### createPersonIdentificationSchemeName1Choice

public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()
Create an instance of `PersonIdentificationSchemeName1Choice`

### createRestrictedPersonIdentificationSchemeNameSEPA

public RestrictedPersonIdentificationSchemeNameSEPA createRestrictedPersonIdentificationSchemeNameSEPA()
Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`

### createPostalAddressSEPA

public PostalAddressSEPA createPostalAddressSEPA()
Create an instance of `PostalAddressSEPA`

### createPurposeSEPA

public PurposeSEPA createPurposeSEPA()
Create an instance of `PurposeSEPA`

### createRemittanceInformationSEPA1Choice

public RemittanceInformationSEPA1Choice createRemittanceInformationSEPA1Choice()
Create an instance of `RemittanceInformationSEPA1Choice`

### createServiceLevel

public ServiceLevel createServiceLevel()
Create an instance of `ServiceLevel`

### createStructuredRemittanceInformationSEPA1

public StructuredRemittanceInformationSEPA1 createStructuredRemittanceInformationSEPA1()
Create an instance of `StructuredRemittanceInformationSEPA1`

### createDocument

public JAXBElement<Document> createDocument(Document value)
Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`